Index: database/factories/DepartmentFactory.php
===================================================================
--- database/factories/DepartmentFactory.php	(revision d795fa6d6f9dce899a9ce38b85983b77c28a7e19)
+++ database/factories/DepartmentFactory.php	(revision e6c1f87d9981de7492736e12f9cc56fc273c8e2a)
@@ -24,11 +24,10 @@
     public function definition()
     {
-        $location = $this->faker->unique()->numberBetween(1, 99);
+        $location = $this->faker->unique()->numberBetween(1, 25);
         Storage::disk('local')->makeDirectory('Departments/' . $location);
         return [
-            'id' => $this->faker->unique()->randomNumber(),
-            'name' => $this->faker->name(),
+            'name' => $this->faker->firstName() . " department",
             'code' => $location,
-            'location' => 'Departments/' . $location,
+            'location' => Storage::disk('local')->path('') . 'Departments/' . $location,
             'user_id' => $this->faker->numberBetween('1', '2'),
             'created_at' => Carbon::now()
Index: database/factories/DocumentFactory.php
===================================================================
--- database/factories/DocumentFactory.php	(revision e6c1f87d9981de7492736e12f9cc56fc273c8e2a)
+++ database/factories/DocumentFactory.php	(revision e6c1f87d9981de7492736e12f9cc56fc273c8e2a)
@@ -0,0 +1,41 @@
+<?php
+
+namespace Database\Factories;
+
+use App\Models\Department;
+use App\Models\Document;
+use Carbon\Carbon;
+use Illuminate\Database\Eloquent\Factories\Factory;
+use Illuminate\Support\Facades\Storage;
+
+class DocumentFactory extends Factory
+{
+    /**
+     * The name of the factory's corresponding model.
+     *
+     * @var string
+     */
+    protected $model = Document::class;
+
+    /**
+     * Define the model's default state.
+     *
+     * @return array
+     */
+    public function definition()
+    {
+
+        $deptID = $this->faker->numberBetween('1', '25');
+
+        return [
+            'arch_id' => $deptID . "/" . $this->faker->unique()->randomNumber(),
+            'name' => $this->faker->unique()->firstName(),
+            'description' => $this->faker->realText(),
+            'user_id' => $this->faker->numberBetween('1', '2'),
+            'department_id' => $deptID,
+            'is_important' => $this->faker->boolean,
+            'created_at' => $this->faker->dateTime()
+        ];
+
+    }
+}
Index: database/migrations/2021_10_06_103305_create_documents_table.php
===================================================================
--- database/migrations/2021_10_06_103305_create_documents_table.php	(revision d795fa6d6f9dce899a9ce38b85983b77c28a7e19)
+++ database/migrations/2021_10_06_103305_create_documents_table.php	(revision e6c1f87d9981de7492736e12f9cc56fc273c8e2a)
@@ -19,7 +19,7 @@
             $table->string("name");
             $table->text("description");
-            $table->boolean("is_active")->default(false);
             $table->integer("user_id")->unsigned();
             $table->integer("department_id")->unsigned();
+            $table->boolean("is_important")->default(true);
             $table->timestamps();
 
Index: database/seeders/DatabaseSeeder.php
===================================================================
--- database/seeders/DatabaseSeeder.php	(revision d795fa6d6f9dce899a9ce38b85983b77c28a7e19)
+++ database/seeders/DatabaseSeeder.php	(revision e6c1f87d9981de7492736e12f9cc56fc273c8e2a)
@@ -19,5 +19,5 @@
         $this->call(UsersTableSeeder::class);
         $this->call(DepartmentsTableSeeder::class);
-        //$this->call(DocumentsTableSeeder::class);
+        $this->call(DocumentsTableSeeder::class);
     }
 }
Index: database/seeders/DepartmentsTableSeeder.php
===================================================================
--- database/seeders/DepartmentsTableSeeder.php	(revision d795fa6d6f9dce899a9ce38b85983b77c28a7e19)
+++ database/seeders/DepartmentsTableSeeder.php	(revision e6c1f87d9981de7492736e12f9cc56fc273c8e2a)
@@ -16,5 +16,5 @@
     public function run()
     {
-        Department::factory()->count(99)->create();
+        Department::factory()->count(25)->create();
     }
 }
Index: database/seeders/DocumentsTableSeeder.php
===================================================================
--- database/seeders/DocumentsTableSeeder.php	(revision d795fa6d6f9dce899a9ce38b85983b77c28a7e19)
+++ database/seeders/DocumentsTableSeeder.php	(revision e6c1f87d9981de7492736e12f9cc56fc273c8e2a)
@@ -3,4 +3,5 @@
 namespace Database\Seeders;
 
+use App\Models\Document;
 use Carbon\Carbon;
 use Illuminate\Database\Seeder;
@@ -15,105 +16,95 @@
     public function run()
     {
-        \DB::table('documents')->insert([
-            [
-                "name" => "Document test",
-                "arch_id" => "HR150",
-                "description" => "hahahah ah aha hshdash dhawud hwa",
-                "user_id" => "1",
-                "department_id" => "1",
-                "is_active" => "1",
-                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
-            ],
-            [
-                "name" => "Document tests",
-                "arch_id" => "HR1505",
-                "description" => "hahahah ah aha hshdash dhawud hwa",
-                "user_id" => "1",
-                "department_id" => "2",
-                "is_active" => "1",
-                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
-            ],
-            [
-                "name" => "Document test",
-                "arch_id" => "HR15033",
-                "description" => "hahahah ah aha hshdash dhawud hwa",
-                "user_id" => "1",
-                "department_id" => "1",
-                "is_active" => "1",
-                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
-            ],
-            [
-                "name" => "Document testasd",
-                "arch_id" => "HR150124",
-                "description" => "hahahah ah aha hshdash dhawud hwa",
-                "user_id" => "1",
-                "department_id" => "3",
-                "is_active" => "1",
-                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
-            ],
-            [
-                "name" => "Document test",
-                "arch_id" => "HR1501421",
-                "description" => "hahahah ah aha hshdash dhawud hwa",
-                "user_id" => "1",
-                "department_id" => "1",
-                "is_active" => "1",
-                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
-            ],
-            [
-                "name" => "Document test",
-                "arch_id" => "HR150213",
-                "description" => "hahahah ah aha hshdash dhawud hwa",
-                "user_id" => "1",
-                "department_id" => "1",
-                "is_active" => "1",
-                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
-            ],
-            [
-                "name" => "Document test",
-                "arch_id" => "HR150ad",
-                "description" => "hahahah ah aha hshdash dhawud hwa",
-                "user_id" => "1",
-                "department_id" => "2",
-                "is_active" => "1",
-                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
-            ],
-            [
-                "name" => "Document test",
-                "arch_id" => "HR150234",
-                "description" => "hahahah ah aha hshdash dhawud hwa",
-                "user_id" => "1",
-                "department_id" => "3",
-                "is_active" => "1",
-                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
-            ],
-            [
-                "name" => "Document test",
-                "arch_id" => "HR15012321",
-                "description" => "hahahah ah aha hshdash dhawud hwa",
-                "user_id" => "1",
-                "department_id" => "1",
-                "is_active" => "1",
-                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
-            ],
-            [
-                "name" => "Document test",
-                "arch_id" => "HR15021312",
-                "description" => "hahahah ah aha hshdash dhawud hwa",
-                "user_id" => "1",
-                "department_id" => "1",
-                "is_active" => "1",
-                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
-            ],
-            [
-                "name" => "Document test",
-                "arch_id" => "HR15312430",
-                "description" => "hahahah ah aha hshdash dhawud hwa",
-                "user_id" => "1",
-                "department_id" => "1",
-                "is_active" => "1",
-                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
-            ],
-        ]);
+//        \DB::table('documents')->insert([
+//            [
+//                "name" => "Document test",
+//                "arch_id" => "HR150",
+//                "description" => "hahahah ah aha hshdash dhawud hwa",
+//                "user_id" => "1",
+//                "department_id" => "1",
+//                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
+//            ],
+//            [
+//                "name" => "Document tests",
+//                "arch_id" => "HR1505",
+//                "description" => "hahahah ah aha hshdash dhawud hwa",
+//                "user_id" => "1",
+//                "department_id" => "2",
+//                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
+//            ],
+//            [
+//                "name" => "Document test",
+//                "arch_id" => "HR15033",
+//                "description" => "hahahah ah aha hshdash dhawud hwa",
+//                "user_id" => "1",
+//                "department_id" => "1",
+//                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
+//            ],
+//            [
+//                "name" => "Document testasd",
+//                "arch_id" => "HR150124",
+//                "description" => "hahahah ah aha hshdash dhawud hwa",
+//                "user_id" => "1",
+//                "department_id" => "3",
+//                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
+//            ],
+//            [
+//                "name" => "Document test",
+//                "arch_id" => "HR1501421",
+//                "description" => "hahahah ah aha hshdash dhawud hwa",
+//                "user_id" => "1",
+//                "department_id" => "1",
+//                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
+//            ],
+//            [
+//                "name" => "Document test",
+//                "arch_id" => "HR150213",
+//                "description" => "hahahah ah aha hshdash dhawud hwa",
+//                "user_id" => "1",
+//                "department_id" => "1",
+//                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
+//            ],
+//            [
+//                "name" => "Document test",
+//                "arch_id" => "HR150ad",
+//                "description" => "hahahah ah aha hshdash dhawud hwa",
+//                "user_id" => "1",
+//                "department_id" => "2",
+//                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
+//            ],
+//            [
+//                "name" => "Document test",
+//                "arch_id" => "HR150234",
+//                "description" => "hahahah ah aha hshdash dhawud hwa",
+//                "user_id" => "1",
+//                "department_id" => "3",
+//                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
+//            ],
+//            [
+//                "name" => "Document test",
+//                "arch_id" => "HR15012321",
+//                "description" => "hahahah ah aha hshdash dhawud hwa",
+//                "user_id" => "1",
+//                "department_id" => "1",
+//                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
+//            ],
+//            [
+//                "name" => "Document test",
+//                "arch_id" => "HR15021312",
+//                "description" => "hahahah ah aha hshdash dhawud hwa",
+//                "user_id" => "1",
+//                "department_id" => "1",
+//                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
+//            ],
+//            [
+//                "name" => "Document test",
+//                "arch_id" => "HR15312430",
+//                "description" => "hahahah ah aha hshdash dhawud hwa",
+//                "user_id" => "1",
+//                "department_id" => "1",
+//                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
+//            ],
+//        ]);
+        Document::factory()->count(300)->create();
     }
 }
